Index: trunk/demos/CircleFollower/simulator/src/main.cpp
===================================================================
--- trunk/demos/CircleFollower/simulator/src/main.cpp	(revision 290)
+++ trunk/demos/CircleFollower/simulator/src/main.cpp	(revision 291)
@@ -85,4 +85,5 @@
   } catch(ArgException& e) {
     cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+    exit(EXIT_FAILURE);
   }
 }
Index: trunk/demos/CircleFollower/uav/src/main.cpp
===================================================================
--- trunk/demos/CircleFollower/uav/src/main.cpp	(revision 290)
+++ trunk/demos/CircleFollower/uav/src/main.cpp	(revision 291)
@@ -95,4 +95,5 @@
 	} catch (ArgException &e) { // catch any exceptions
         cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+        exit(EXIT_FAILURE);
 	}
 }
Index: trunk/demos/Gps/simulator/src/main.cpp
===================================================================
--- trunk/demos/Gps/simulator/src/main.cpp	(revision 290)
+++ trunk/demos/Gps/simulator/src/main.cpp	(revision 291)
@@ -85,4 +85,5 @@
   } catch(ArgException& e) {
     cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+    exit(EXIT_FAILURE);
   }
 }
Index: trunk/demos/Gps/uav/src/main.cpp
===================================================================
--- trunk/demos/Gps/uav/src/main.cpp	(revision 290)
+++ trunk/demos/Gps/uav/src/main.cpp	(revision 291)
@@ -94,4 +94,5 @@
 	} catch (ArgException &e) { // catch any exceptions
         cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+        exit(EXIT_FAILURE);
 	}
 }
Index: trunk/demos/OpticalFlow/simulator/src/main.cpp
===================================================================
--- trunk/demos/OpticalFlow/simulator/src/main.cpp	(revision 290)
+++ trunk/demos/OpticalFlow/simulator/src/main.cpp	(revision 291)
@@ -85,4 +85,5 @@
   {
     cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+    exit(EXIT_FAILURE);
   }
 }
Index: trunk/demos/OpticalFlow/uav/src/main.cpp
===================================================================
--- trunk/demos/OpticalFlow/uav/src/main.cpp	(revision 290)
+++ trunk/demos/OpticalFlow/uav/src/main.cpp	(revision 291)
@@ -106,5 +106,7 @@
         address=addressArg.getValue();
 
-	} catch (ArgException &e)  // catch any exceptions
-	{ cerr << "error: " << e.error() << " for arg " << e.argId() << endl; }
+	} catch (ArgException &e) {
+        cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+        exit(EXIT_FAILURE);
+    }
 }
Index: trunk/demos/PidStandalone/simulator/src/main.cpp
===================================================================
--- trunk/demos/PidStandalone/simulator/src/main.cpp	(revision 290)
+++ trunk/demos/PidStandalone/simulator/src/main.cpp	(revision 291)
@@ -84,6 +84,8 @@
 #endif
 
-	} catch (ArgException &e)  // catch any exceptions
-	{ cerr << "error: " << e.error() << " for arg " << e.argId() << endl; }
+	} catch (ArgException &e) {
+        cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+        exit(EXIT_FAILURE);    
+    }
 }
 
Index: trunk/demos/PidStandalone/uav/src/main.cpp
===================================================================
--- trunk/demos/PidStandalone/uav/src/main.cpp	(revision 290)
+++ trunk/demos/PidStandalone/uav/src/main.cpp	(revision 291)
@@ -115,7 +115,7 @@
     headless = headlessArg.getValue();
 
-  } catch (ArgException &e) // catch any exceptions
-  {
+  } catch (ArgException &e) {
     cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+    exit(EXIT_FAILURE);
   }
 }
Index: trunk/demos/SimpleFleet/simulator/src/main.cpp
===================================================================
--- trunk/demos/SimpleFleet/simulator/src/main.cpp	(revision 290)
+++ trunk/demos/SimpleFleet/simulator/src/main.cpp	(revision 291)
@@ -77,6 +77,8 @@
 
 
-	} catch (ArgException &e)  // catch any exceptions
-	{ cerr << "error: " << e.error() << " for arg " << e.argId() << endl; }
+	} catch (ArgException &e) {
+        cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+        exit(EXIT_FAILURE);
+    }
 }
 
Index: trunk/demos/SimpleFleet/uav/src/main.cpp
===================================================================
--- trunk/demos/SimpleFleet/uav/src/main.cpp	(revision 290)
+++ trunk/demos/SimpleFleet/uav/src/main.cpp	(revision 291)
@@ -100,4 +100,5 @@
 	} catch (ArgException &e) { // catch any exceptions
         cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+        exit(EXIT_FAILURE);
 	}
 }
Index: trunk/demos/Sinus/src/main.cpp
===================================================================
--- trunk/demos/Sinus/src/main.cpp	(revision 290)
+++ trunk/demos/Sinus/src/main.cpp	(revision 291)
@@ -94,4 +94,5 @@
   } catch (ArgException &e) { // catch any exceptions
     cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+    exit(EXIT_FAILURE);
   }
 }
Index: trunk/demos/Skeletons/CustomReferenceAngles/src/main.cpp
===================================================================
--- trunk/demos/Skeletons/CustomReferenceAngles/src/main.cpp	(revision 290)
+++ trunk/demos/Skeletons/CustomReferenceAngles/src/main.cpp	(revision 291)
@@ -93,4 +93,5 @@
 	} catch (ArgException &e) { // catch any exceptions
         cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+        exit(EXIT_FAILURE);
 	}
 }
Index: trunk/demos/Skeletons/CustomTorques/src/main.cpp
===================================================================
--- trunk/demos/Skeletons/CustomTorques/src/main.cpp	(revision 290)
+++ trunk/demos/Skeletons/CustomTorques/src/main.cpp	(revision 291)
@@ -94,4 +94,5 @@
 	} catch (ArgException &e) { // catch any exceptions
         cerr << "error: " << e.error() << " for arg " << e.argId() << endl;
+        exit(EXIT_FAILURE);
 	}
 }