Index: trunk/demos/CMakeLists.txt
===================================================================
--- trunk/demos/CMakeLists.txt	(revision 297)
+++ trunk/demos/CMakeLists.txt	(revision 299)
@@ -8,4 +8,5 @@
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/MixedReality/)
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/OpticalFlow/)
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/PidStandalone/)
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/SimpleFleet/)
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/Sinus/)
Index: trunk/demos/CircleFollower/CMakeLists.txt
===================================================================
--- trunk/demos/CircleFollower/CMakeLists.txt	(revision 299)
+++ trunk/demos/CircleFollower/CMakeLists.txt	(revision 299)
@@ -0,0 +1,4 @@
+PROJECT(CircleFollower)
+
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/simulator)
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/uav)
Index: trunk/demos/CircleFollower/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/CircleFollower/simulator/CMakeLists.txt	(revision 297)
+++ trunk/demos/CircleFollower/simulator/CMakeLists.txt	(revision 299)
@@ -30,2 +30,12 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/CircleFollower
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/CircleFollower
+)
Index: trunk/demos/CircleFollower/simulator/build
===================================================================
--- trunk/demos/CircleFollower/simulator/build	(revision 297)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link build_core2_64
Index: trunk/demos/CircleFollower/uav/CMakeLists.txt
===================================================================
--- trunk/demos/CircleFollower/uav/CMakeLists.txt	(revision 297)
+++ trunk/demos/CircleFollower/uav/CMakeLists.txt	(revision 299)
@@ -34,2 +34,12 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/CircleFollower
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/CircleFollower
+)
Index: trunk/demos/CircleFollower/uav/build
===================================================================
--- trunk/demos/CircleFollower/uav/build	(revision 297)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link build_core2_64
Index: trunk/demos/Gps/CMakeLists.txt
===================================================================
--- trunk/demos/Gps/CMakeLists.txt	(revision 299)
+++ trunk/demos/Gps/CMakeLists.txt	(revision 299)
@@ -0,0 +1,4 @@
+PROJECT(Gps)
+
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/simulator)
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/uav)
Index: trunk/demos/Gps/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/Gps/simulator/CMakeLists.txt	(revision 297)
+++ trunk/demos/Gps/simulator/CMakeLists.txt	(revision 299)
@@ -30,2 +30,12 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT} nmea)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/Gps
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/Gps
+)
Index: trunk/demos/Gps/simulator/build
===================================================================
--- trunk/demos/Gps/simulator/build	(revision 297)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link build_core2_64
Index: trunk/demos/Gps/uav/CMakeLists.txt
===================================================================
--- trunk/demos/Gps/uav/CMakeLists.txt	(revision 297)
+++ trunk/demos/Gps/uav/CMakeLists.txt	(revision 299)
@@ -34,2 +34,12 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/Gps
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/Gps
+)
Index: trunk/demos/Gps/uav/build
===================================================================
--- trunk/demos/Gps/uav/build	(revision 297)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link build_core2_64
Index: trunk/demos/HelloWorld/CMakeLists.txt
===================================================================
--- trunk/demos/HelloWorld/CMakeLists.txt	(revision 297)
+++ trunk/demos/HelloWorld/CMakeLists.txt	(revision 299)
@@ -13,2 +13,7 @@
     COMMAND scp bin/${PROJECT_NAME} root@192.168.6.1:/home/root/
 )
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
+)
Index: trunk/demos/MixedReality/CMakeLists.txt
===================================================================
--- trunk/demos/MixedReality/CMakeLists.txt	(revision 299)
+++ trunk/demos/MixedReality/CMakeLists.txt	(revision 299)
@@ -0,0 +1,4 @@
+PROJECT(MixedReality)
+
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/real)
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/virtual)
Index: trunk/demos/MixedReality/real/CMakeLists.txt
===================================================================
--- trunk/demos/MixedReality/real/CMakeLists.txt	(revision 299)
+++ trunk/demos/MixedReality/real/CMakeLists.txt	(revision 299)
@@ -0,0 +1,4 @@
+PROJECT(MixedReality_real)
+
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/simulator)
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/uav)
Index: trunk/demos/MixedReality/real/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/MixedReality/real/simulator/CMakeLists.txt	(revision 297)
+++ trunk/demos/MixedReality/real/simulator/CMakeLists.txt	(revision 299)
@@ -33,4 +33,14 @@
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
 
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/real
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/real
+)
+
 else()
     if(DEFINED CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE)
@@ -40,2 +50,3 @@
     endif()
 endif()
+
Index: trunk/demos/MixedReality/real/uav/CMakeLists.txt
===================================================================
--- trunk/demos/MixedReality/real/uav/CMakeLists.txt	(revision 297)
+++ trunk/demos/MixedReality/real/uav/CMakeLists.txt	(revision 299)
@@ -34,2 +34,12 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/real
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/real
+)
Index: trunk/demos/MixedReality/virtual/CMakeLists.txt
===================================================================
--- trunk/demos/MixedReality/virtual/CMakeLists.txt	(revision 299)
+++ trunk/demos/MixedReality/virtual/CMakeLists.txt	(revision 299)
@@ -0,0 +1,4 @@
+PROJECT(MixedReality_virtual)
+
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/simulator)
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/uav)
Index: trunk/demos/MixedReality/virtual/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/MixedReality/virtual/simulator/CMakeLists.txt	(revision 297)
+++ trunk/demos/MixedReality/virtual/simulator/CMakeLists.txt	(revision 299)
@@ -34,4 +34,14 @@
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
 
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/virtual
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/MixedReality/virtual
+)
+
 else()
     if(DEFINED CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE)
Index: trunk/demos/OpticalFlow/CMakeLists.txt
===================================================================
--- trunk/demos/OpticalFlow/CMakeLists.txt	(revision 299)
+++ trunk/demos/OpticalFlow/CMakeLists.txt	(revision 299)
@@ -0,0 +1,4 @@
+PROJECT(OpticalFlow)
+
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/simulator)
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/uav)
Index: trunk/demos/OpticalFlow/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/OpticalFlow/simulator/CMakeLists.txt	(revision 297)
+++ trunk/demos/OpticalFlow/simulator/CMakeLists.txt	(revision 299)
@@ -35,2 +35,12 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/OpticalFlow
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/OpticalFlow
+)
Index: trunk/demos/OpticalFlow/uav/CMakeLists.txt
===================================================================
--- trunk/demos/OpticalFlow/uav/CMakeLists.txt	(revision 297)
+++ trunk/demos/OpticalFlow/uav/CMakeLists.txt	(revision 299)
@@ -36,4 +36,14 @@
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
 
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/OpticalFlow
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/OpticalFlow
+)
+
 else()
     if(DEFINED CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE)
Index: trunk/demos/PidStandalone/CMakeLists.txt
===================================================================
--- trunk/demos/PidStandalone/CMakeLists.txt	(revision 299)
+++ trunk/demos/PidStandalone/CMakeLists.txt	(revision 299)
@@ -0,0 +1,4 @@
+PROJECT(PidStandalone)
+
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/simulator)
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/uav)
Index: trunk/demos/PidStandalone/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/PidStandalone/simulator/CMakeLists.txt	(revision 297)
+++ trunk/demos/PidStandalone/simulator/CMakeLists.txt	(revision 299)
@@ -1,3 +1,3 @@
-PROJECT(simulator_pid)
+PROJECT(PidStandalone_simulator)
 cmake_minimum_required(VERSION 2.8)
 
@@ -30,2 +30,13 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/PidStandalone
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/PidStandalone
+)
+
Index: trunk/demos/PidStandalone/uav/CMakeLists.txt
===================================================================
--- trunk/demos/PidStandalone/uav/CMakeLists.txt	(revision 297)
+++ trunk/demos/PidStandalone/uav/CMakeLists.txt	(revision 299)
@@ -1,3 +1,3 @@
-PROJECT(demo_pid)
+PROJECT(PidStandalone)
 cmake_minimum_required(VERSION 2.8)
 
@@ -33,2 +33,12 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/PidStandalone
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/PidStandalone
+)
Index: trunk/demos/SimpleFleet/CMakeLists.txt
===================================================================
--- trunk/demos/SimpleFleet/CMakeLists.txt	(revision 299)
+++ trunk/demos/SimpleFleet/CMakeLists.txt	(revision 299)
@@ -0,0 +1,4 @@
+PROJECT(SimpleFleet)
+
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/simulator)
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/uav)
Index: trunk/demos/SimpleFleet/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/SimpleFleet/simulator/CMakeLists.txt	(revision 297)
+++ trunk/demos/SimpleFleet/simulator/CMakeLists.txt	(revision 299)
@@ -30,2 +30,12 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/SimpleFleet
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/SimpleFleet
+)
Index: trunk/demos/SimpleFleet/simulator/build
===================================================================
--- trunk/demos/SimpleFleet/simulator/build	(revision 297)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link build_core2_64
Index: trunk/demos/SimpleFleet/uav/CMakeLists.txt
===================================================================
--- trunk/demos/SimpleFleet/uav/CMakeLists.txt	(revision 297)
+++ trunk/demos/SimpleFleet/uav/CMakeLists.txt	(revision 299)
@@ -34,2 +34,12 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/SimpleFleet
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/SimpleFleet
+)
Index: trunk/demos/SimpleFleet/uav/build
===================================================================
--- trunk/demos/SimpleFleet/uav/build	(revision 297)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link build_core2_64
Index: trunk/demos/Sinus/CMakeLists.txt
===================================================================
--- trunk/demos/Sinus/CMakeLists.txt	(revision 297)
+++ trunk/demos/Sinus/CMakeLists.txt	(revision 299)
@@ -36,2 +36,12 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_rt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
+)
+
+INSTALL(
+	TARGETS ${PROJECT_NAME}_nrt
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
+)
Index: trunk/demos/Sinus/build
===================================================================
--- trunk/demos/Sinus/build	(revision 297)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link build_core2_64
Index: trunk/demos/Skeletons/CMakeLists.txt
===================================================================
--- trunk/demos/Skeletons/CMakeLists.txt	(revision 299)
+++ trunk/demos/Skeletons/CMakeLists.txt	(revision 299)
@@ -0,0 +1,4 @@
+PROJECT(Skeletons)
+
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/CustomReferenceAngles)
+add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/CustomTorques)