Index: trunk/src/PacpusTools/CMakeLists.txt
===================================================================
--- trunk/src/PacpusTools/CMakeLists.txt	(revision 198)
+++ trunk/src/PacpusTools/CMakeLists.txt	(revision 300)
@@ -11,17 +11,14 @@
 create_export(EXPORT_HDR ${PROJECT_NAME} "${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools")
 
-# ========================================
+################################################################################
 # Compiler definitions
-# ========================================
 add_definitions(${QT_DEFINITIONS})
 
-# ========================================
-# Include directories
-# ========================================
-include_directories(${QT_INCLUDE_DIR})
+################################################################################
+# DIRECTORIES
+include_directories(
+    ${QT_INCLUDE_DIR}
+)
 
-# ========================================
-# Link directories
-# ========================================
 link_directories(
     ${PROJECT_BINARY_DIR}/../PacpusLib
@@ -29,8 +26,7 @@
 )
 
-# ========================================
-# List of sources
-# ========================================
-set(PROJECT_HDRS
+################################################################################
+# FILES
+set(HDRS
     ${EXPORT_HDR}
     ${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/AsyncWorkerBase.h
@@ -39,21 +35,21 @@
     ${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/matrice.h
     ${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/PeriodicWorker.h
-    ${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/PosixShMem.h
-    ${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/ShMem.h
+    ${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/SharedMemory.h
+
     #${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/pacpusStruct.h
     #${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/PacpusSerialPort.h
 )
 
-set(PROJECT_SRCS
-    ./src/matrice.cpp
-    ./src/geodesie.cpp
-    ./src/AsyncWorkerBase.cpp
-    ./src/PeriodicWorker.cpp
-    #./src/PacpusSerialPort.cpp
+set(SRCS
+    src/matrice.cpp
+    src/geodesie.cpp
+    src/AsyncWorkerBase.cpp
+    src/PeriodicWorker.cpp
+    #src/PacpusSerialPort.cpp
+    src/SharedMemory.cpp
 )
 
-# ========================================
-# Files to MOC
-# ========================================
+################################################################################
+# QT
 set(FILES_TO_MOC
     ${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/AsyncWorkerBase.h
@@ -62,7 +58,4 @@
 )
 
-# ========================================
-# Call MOC
-# ========================================
 qt_wrap_cpp(
     PROJECT_MOC_SRCS
@@ -70,39 +63,17 @@
 )
 
-# ========================================
-# Platform specific sources
-# ========================================
-# Unix
-if(UNIX)
-    list(APPEND PROJECT_SRCS
-        ${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/PosixShMem.h
-        src/PosixShMem.cpp
-    )
-endif()
-# Windows
-if(WIN32)
-    list(APPEND PROJECT_SRCS
-        ${PACPUS_INCLUDE_DIR}/Pacpus/PacpusTools/Win32ShMem.h
-        src/Win32ShMem.cpp
-    )
-endif()
-
-# ========================================
-# Build a library
-# ========================================
+################################################################################
+# BUILD and LINK
 pacpus_add_library(${PROJECT_NAME} SHARED
-    ${PROJECT_HDRS}
-    ${PROJECT_SRCS}
+    ${HDRS}
+    ${SRCS}
     ${PROJECT_MOC_SRCS}
 )
 
-# ========================================
-# Libraries
-# ========================================
+# LIBS
 set(OPT_LIBRARIES
     optimized PacpusLib debug PacpusLib_d
 )
 
-# Windows platform
 if(WIN32)
     LIST(APPEND OPT_LIBRARIES
@@ -111,6 +82,6 @@
 endif()
 
-target_link_libraries(
-    ${PROJECT_NAME}
+# LINK
+target_link_libraries(${PROJECT_NAME}
     ${QT_LIBRARIES}
     ${PACPUS_DEPENDENCIES_LIB}
@@ -118,11 +89,9 @@
 )
 
-# ========================================
-# Install
-# ========================================
+################################################################################
+# INSTALL
 pacpus_install(${PROJECT_NAME})
 
-# ========================================
-# Folder
-# ========================================
+################################################################################
+# FOLDER
 pacpus_folder(${PROJECT_NAME} "libraries")