Index: trunk/lib/CMakeLists.txt
===================================================================
--- trunk/lib/CMakeLists.txt	(revision 300)
+++ trunk/lib/CMakeLists.txt	(revision 302)
@@ -1,5 +1,5 @@
 PROJECT(FlairLibs)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/FlairCore)
Index: trunk/lib/Doxyfile.in
===================================================================
--- trunk/lib/Doxyfile.in	(revision 300)
+++ trunk/lib/Doxyfile.in	(revision 302)
@@ -53,5 +53,5 @@
 # where doxygen was started. If left blank the current directory will be used.
 
-OUTPUT_DIRECTORY       = $(FLAIR_ROOT)/flair-dev/doc
+OUTPUT_DIRECTORY       = $(FLAIR_ROOT)/flair-install/doc
 
 # If the CREATE_SUBDIRS tag is set to YES, then doxygen will create 
Index: trunk/lib/FlairCore/CMakeLists.txt
===================================================================
--- trunk/lib/FlairCore/CMakeLists.txt	(revision 300)
+++ trunk/lib/FlairCore/CMakeLists.txt	(revision 302)
@@ -1,20 +1,7 @@
 PROJECT(FlairCore)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 find_package(LibXml2 REQUIRED)
-
-execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
-                OUTPUT_VARIABLE GCC_VERSION)
-
-if (GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
-	if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
-		ADD_DEFINITIONS("-std=c++11")
-	else()
-		ADD_DEFINITIONS("-std=c++0x")
-	endif()
-else()
-	message(STATUS "GCC version < 4.3, c+11 is not supported!")
-endif()
 
 FILE(GLOB FLAIRCORE_SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
@@ -29,13 +16,3 @@
 
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/nrt)
-if(NOT WIN32)
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/rt)
-endif()
-
-add_custom_target(
-	${PROJECT_NAME}_compile_info
-	COMMAND $ENV{FLAIR_ROOT}/flair-dev/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src/unexported/compile_info.h
-)
-
-add_dependencies(FlairCore_rt ${PROJECT_NAME}_compile_info)
-add_dependencies(FlairCore_nrt ${PROJECT_NAME}_compile_info)
Index: trunk/lib/FlairCore/nrt/CMakeLists.txt
===================================================================
--- trunk/lib/FlairCore/nrt/CMakeLists.txt	(revision 300)
+++ trunk/lib/FlairCore/nrt/CMakeLists.txt	(revision 302)
@@ -3,10 +3,7 @@
 ADD_DEFINITIONS(-D_GNU_SOURCE -D_REENTRANT)
 
-ADD_LIBRARY(${PROJECT_NAME}
-	${FLAIRCORE_SRC}
-)
+FLAIR_LIB(${PROJECT_NAME} "${FLAIRCORE_SRC}")
 
-INSTALL(TARGETS ${PROJECT_NAME}
-	LIBRARY DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-	ARCHIVE DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-)
+#install here, as FLAIR_LIB function will not find .h (in ../src)
+FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/../src/*.h")
+INSTALL(FILES ${files} DESTINATION $ENV{FLAIR_ROOT}/flair-install/include/FlairCore)
Index: trunk/lib/FlairCore/rt/CMakeLists.txt
===================================================================
--- trunk/lib/FlairCore/rt/CMakeLists.txt	(revision 300)
+++ trunk/lib/FlairCore/rt/CMakeLists.txt	(revision 302)
@@ -8,13 +8,4 @@
 )
 
-ADD_LIBRARY(${PROJECT_NAME}
-	${FLAIRCORE_SRC}
-)
+FLAIR_LIB(${PROJECT_NAME} "${FLAIRCORE_SRC}")
 
-INSTALL(TARGETS ${PROJECT_NAME}
-	LIBRARY DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-	ARCHIVE DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-)
-
-FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/../src/*.h")
-INSTALL(FILES ${files} DESTINATION $ENV{FLAIR_ROOT}/flair-dev/include/FlairCore)
Index: trunk/lib/FlairCore/src/Widget.h
===================================================================
--- trunk/lib/FlairCore/src/Widget.h	(revision 300)
+++ trunk/lib/FlairCore/src/Widget.h	(revision 302)
@@ -15,9 +15,9 @@
 
 #include <Object.h>
-//#include <io_data.h>
-#include <libxml/xpath.h>
 
 class Widget_impl;
 class FrameworkManager_impl;
+typedef struct _xmlNode xmlNode;
+typedef xmlNode *xmlNodePtr;
 
 namespace flair {
Index: trunk/lib/FlairFilter/CMakeLists.txt
===================================================================
--- trunk/lib/FlairFilter/CMakeLists.txt	(revision 300)
+++ trunk/lib/FlairFilter/CMakeLists.txt	(revision 302)
@@ -1,23 +1,7 @@
 PROJECT(FlairFilter)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-
-find_package(LibXml2 REQUIRED)
-
-execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
-                OUTPUT_VARIABLE GCC_VERSION)
-
-if (GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
-	if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
-		ADD_DEFINITIONS("-std=c++11")
-	else()
-		ADD_DEFINITIONS("-std=c++0x")
-	endif()
-else()
-	message(STATUS "GCC version < 4.3, c+11 is not supported!")
-endif()
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 INCLUDE_DIRECTORIES(
-	${LIBXML2_INCLUDE_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/../FlairCore/src
 	${CMAKE_CURRENT_SOURCE_DIR}/../FlairSensorActuator/src
@@ -30,21 +14,5 @@
 FILE(GLOB SRC_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
 
-ADD_LIBRARY(${PROJECT_NAME}
-	${SRC_FILES}
+FLAIR_LIB(${PROJECT_NAME} "${SRC_FILES}"
+        INCLUDES_DEST_DIR ${PROJECT_NAME}
 )
-
-INSTALL(TARGETS ${PROJECT_NAME}
-	LIBRARY DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-	ARCHIVE DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-)
-
-#copie des entetes
-FILE(GLOB HEADER_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h")
-INSTALL(FILES ${HEADER_FILES} DESTINATION $ENV{FLAIR_ROOT}/flair-dev/include/${PROJECT_NAME})
-
-add_custom_target(
-	${PROJECT_NAME}_compile_info
-	COMMAND $ENV{FLAIR_ROOT}/flair-dev/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src/unexported/compile_info.h
-)
-
-add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_compile_info)
Index: trunk/lib/FlairMeta/CMakeLists.txt
===================================================================
--- trunk/lib/FlairMeta/CMakeLists.txt	(revision 300)
+++ trunk/lib/FlairMeta/CMakeLists.txt	(revision 302)
@@ -1,23 +1,7 @@
 PROJECT(FlairMeta)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-
-find_package(LibXml2 REQUIRED)
-
-execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
-                OUTPUT_VARIABLE GCC_VERSION)
-
-if (GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
-	if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
-		ADD_DEFINITIONS("-std=c++11")
-	else()
-		ADD_DEFINITIONS("-std=c++0x")
-	endif()
-else()
-	message(STATUS "GCC version < 4.3, c+11 is not supported!")
-endif()
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 INCLUDE_DIRECTORIES(
-	${LIBXML2_INCLUDE_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/../FlairCore/src
 	${CMAKE_CURRENT_SOURCE_DIR}/../FlairSensorActuator/src
@@ -30,21 +14,5 @@
 FILE(GLOB SRC_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
 
-ADD_LIBRARY(${PROJECT_NAME}
-	${SRC_FILES}
+FLAIR_LIB(${PROJECT_NAME} "${SRC_FILES}"
+        INCLUDES_DEST_DIR ${PROJECT_NAME}
 )
-
-INSTALL(TARGETS ${PROJECT_NAME}
-	LIBRARY DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-	ARCHIVE DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-)
-
-#copie des entetes
-FILE(GLOB HEADER_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h")
-INSTALL(FILES ${HEADER_FILES} DESTINATION $ENV{FLAIR_ROOT}/flair-dev/include/${PROJECT_NAME})
-
-add_custom_target(
-	${PROJECT_NAME}_compile_info
-	COMMAND $ENV{FLAIR_ROOT}/flair-dev/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src/unexported/compile_info.h
-)
-
-add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_compile_info)
Index: trunk/lib/FlairSensorActuator/CMakeLists.txt
===================================================================
--- trunk/lib/FlairSensorActuator/CMakeLists.txt	(revision 300)
+++ trunk/lib/FlairSensorActuator/CMakeLists.txt	(revision 302)
@@ -1,23 +1,7 @@
 PROJECT(FlairSensorActuator)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-
-find_package(LibXml2 REQUIRED)
-
-execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
-                OUTPUT_VARIABLE GCC_VERSION)
-
-if (GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
-	if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
-		ADD_DEFINITIONS("-std=c++11")
-	else()
-		ADD_DEFINITIONS("-std=c++0x")
-	endif()
-else()
-	message(STATUS "GCC version < 4.3, c+11 is not supported!")
-endif()
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 INCLUDE_DIRECTORIES(
-	${LIBXML2_INCLUDE_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/src
 	${CMAKE_CURRENT_SOURCE_DIR}/src/unexported
@@ -28,22 +12,7 @@
 )
 
-FILE(GLOB SENSOR_SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
+FILE(GLOB SRC_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
 
-ADD_LIBRARY(${PROJECT_NAME}
-	${SENSOR_SRC}
+FLAIR_LIB(${PROJECT_NAME} "${SRC_FILES}"
+        INCLUDES_DEST_DIR ${PROJECT_NAME}
 )
-
-INSTALL(TARGETS ${PROJECT_NAME}
-	LIBRARY DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-	ARCHIVE DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-)
-
-FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h")
-INSTALL(FILES ${files} DESTINATION $ENV{FLAIR_ROOT}/flair-dev/include/${PROJECT_NAME})
-
-add_custom_target(
-	${PROJECT_NAME}_compile_info
-	COMMAND $ENV{FLAIR_ROOT}/flair-dev/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src/unexported/compile_info.h
-)
-
-add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_compile_info)
Index: trunk/lib/FlairSimulator/CMakeLists.txt
===================================================================
--- trunk/lib/FlairSimulator/CMakeLists.txt	(revision 300)
+++ trunk/lib/FlairSimulator/CMakeLists.txt	(revision 302)
@@ -1,23 +1,10 @@
 PROJECT(FlairSimulator)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 find_package(LibXml2 REQUIRED)
 
-execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
-                OUTPUT_VARIABLE GCC_VERSION)
-
-if (GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
-	if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
-		ADD_DEFINITIONS("-std=c++11")
-	else()
-		ADD_DEFINITIONS("-std=c++0x")
-	endif()
-else()
-	message(STATUS "GCC version < 4.3, c+11 is not supported!")
-endif()
-
 INCLUDE_DIRECTORIES(
-      	${LIBXML2_INCLUDE_DIR}
+   	${LIBXML2_INCLUDE_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/src
 	${CMAKE_CURRENT_SOURCE_DIR}/src/unexported
@@ -29,15 +16,8 @@
 )
 
-FILE(GLOB SIMU_SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
-
-add_custom_target(
-	${PROJECT_NAME}_compile_info
-	COMMAND $ENV{FLAIR_ROOT}/flair-dev/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src/unexported/compile_info.h
-)
+FILE(GLOB FLAIRSIMU_SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
 
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/no_gl)
-add_dependencies(FlairSimulator_nogl ${PROJECT_NAME}_compile_info)
 if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i686" OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i586" OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/gl)
-add_dependencies(FlairSimulator_gl ${PROJECT_NAME}_compile_info)
 endif()
Index: trunk/lib/FlairSimulator/gl/CMakeLists.txt
===================================================================
--- trunk/lib/FlairSimulator/gl/CMakeLists.txt	(revision 300)
+++ trunk/lib/FlairSimulator/gl/CMakeLists.txt	(revision 302)
@@ -3,11 +3,3 @@
 ADD_DEFINITIONS(-D_GNU_SOURCE -D_REENTRANT -DGL)
 
-
-ADD_LIBRARY(${PROJECT_NAME}
-	${SIMU_SRC}
-)
-
-INSTALL(TARGETS ${PROJECT_NAME}
-	LIBRARY DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-	ARCHIVE DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-)
+FLAIR_LIB(${PROJECT_NAME} "${FLAIRSIMU_SRC}")
Index: trunk/lib/FlairSimulator/no_gl/CMakeLists.txt
===================================================================
--- trunk/lib/FlairSimulator/no_gl/CMakeLists.txt	(revision 300)
+++ trunk/lib/FlairSimulator/no_gl/CMakeLists.txt	(revision 302)
@@ -3,13 +3,7 @@
 ADD_DEFINITIONS(-D_GNU_SOURCE -D_REENTRANT)
 
-ADD_LIBRARY(${PROJECT_NAME}
-	${SIMU_SRC}
-)
+FLAIR_LIB(${PROJECT_NAME} "${FLAIRSIMU_SRC}")
 
-INSTALL(TARGETS ${PROJECT_NAME}
-	LIBRARY DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-	ARCHIVE DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-)
-
+#install here, as FLAIR_LIB function will not find .h (in ../src)
 FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/../src/*.h")
-INSTALL(FILES ${files} DESTINATION $ENV{FLAIR_ROOT}/flair-dev/include/FlairSimulator)
+INSTALL(FILES ${files} DESTINATION $ENV{FLAIR_ROOT}/flair-install/include/FlairSimulator)
Index: trunk/lib/FlairSimulator/src/Parser.cpp
===================================================================
--- trunk/lib/FlairSimulator/src/Parser.cpp	(revision 300)
+++ trunk/lib/FlairSimulator/src/Parser.cpp	(revision 302)
@@ -27,4 +27,6 @@
 #include <IGeometryCreator.h>
 #include <ISceneManager.h>
+#include <libxml/parser.h>
+#include <libxml/tree.h>
 
 using namespace irr;
Index: trunk/lib/FlairSimulator/src/Parser.h
===================================================================
--- trunk/lib/FlairSimulator/src/Parser.h	(revision 300)
+++ trunk/lib/FlairSimulator/src/Parser.h	(revision 302)
@@ -20,7 +20,10 @@
 #include <Gui.h>
 #include <Vector3D.h>
-#include <libxml/parser.h>
-#include <libxml/tree.h>
 #include <SColor.h>
+
+//todo make a pimpl to remove these forward declaration
+typedef struct _xmlNode xmlNode;
+typedef unsigned char xmlChar;
+typedef struct _xmlDoc xmlDoc;
 
 namespace flair {
Index: trunk/lib/FlairVisionFilter/CMakeLists.txt
===================================================================
--- trunk/lib/FlairVisionFilter/CMakeLists.txt	(revision 300)
+++ trunk/lib/FlairVisionFilter/CMakeLists.txt	(revision 302)
@@ -1,27 +1,8 @@
 PROJECT(FlairVisionFilter)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-
-#if(NOT "${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE}" MATCHES "armv5te")
-
-find_package(LibXml2 REQUIRED)
-
-execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
-                OUTPUT_VARIABLE GCC_VERSION)
-
-if (GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
-	if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
-		ADD_DEFINITIONS("-std=c++11")
-	else()
-		ADD_DEFINITIONS("-std=c++0x")
-	endif()
-else()
-	message(STATUS "GCC version < 4.3, c+11 is not supported!")
-endif()
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 INCLUDE_DIRECTORIES(
-	${LIBXML2_INCLUDE_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/src
-	${CMAKE_CURRENT_SOURCE_DIR}/src/unexported
 	${CMAKE_CURRENT_SOURCE_DIR}/../FlairCore/src
     ${CMAKE_CURRENT_SOURCE_DIR}/../FlairFilter/src
@@ -29,30 +10,7 @@
 )
 
-FILE(GLOB SRC_SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
+FILE(GLOB SRC_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
 
-ADD_LIBRARY(${PROJECT_NAME}
-	${SRC_SRC}
+FLAIR_LIB(${PROJECT_NAME} "${SRC_FILES}"
+        INCLUDES_DEST_DIR ${PROJECT_NAME}
 )
-
-INSTALL(TARGETS ${PROJECT_NAME}
-	LIBRARY DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-	ARCHIVE DESTINATION $ENV{FLAIR_ROOT}/flair-bin/lib/${ARCH_DIR}
-)
-
-FILE(GLOB HEADER_FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h")
-INSTALL(FILES ${HEADER_FILES} DESTINATION $ENV{FLAIR_ROOT}/flair-dev/include/${PROJECT_NAME})
-
-add_custom_target(
-	${PROJECT_NAME}_compile_info
-	COMMAND $ENV{FLAIR_ROOT}/flair-dev/scripts/compile_info.sh ${CMAKE_C_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src/unexported/compile_info.h
-)
-
-add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_compile_info)
-
-#else()
-#    if(DEFINED CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE)
-#        warn("${PROJECT_NAME} will not be built for ${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE} architecture")
-#    else()
-#        warn("${PROJECT_NAME} will not be built for ${CMAKE_SYSTEM_PROCESSOR} architecture")
-#    endif()
-#endif()