Index: /trunk/scripts/ubuntu_cgroup_hack.sh
===================================================================
--- /trunk/scripts/ubuntu_cgroup_hack.sh	(revision 306)
+++ /trunk/scripts/ubuntu_cgroup_hack.sh	(revision 306)
@@ -0,0 +1,16 @@
+if [ -f /etc/lsb-release ]; then
+  . /etc/lsb-release
+fi
+
+if [ _$DISTRIB_ID == _Ubuntu ]; then
+  #we must run as root
+  if [ $EUID -ne 0 ]; then
+    exec sudo -E $0 $*
+  fi
+
+  #we must run in root cgroup to escape possible restrictions on scheduling
+  if [ -d /sys/fs/cgroup/cpu ]; then
+    echo $$ > /sys/fs/cgroup/cpu/tasks
+  fi
+fi
+
Index: /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3.sh
===================================================================
--- /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3.sh	(revision 305)
+++ /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3.sh	(revision 306)
@@ -18,6 +18,6 @@
 fi
 
-. ${FLAIR_ROOT}/flair-bin/tools/scripts/ubuntu_cgroup_hack.sh
+. ${FLAIR_ROOT}/flair-src/scripts/ubuntu_cgroup_hack.sh
 
 export LD_LIBRARY_PATH="${OECORE_HOST_SYSROOT}/usr/lib:${OECORE_HOST_SYSROOT}/lib"
-${FLAIR_ROOT}/flair-bin/tools/$ARCH_DIR/dualshock3 $*
+${FLAIR_ROOT}/flair-install/bin/tools/$ARCH_DIR/dualshock3 $*
Index: /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_bt.sh
===================================================================
--- /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_bt.sh	(revision 305)
+++ /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_bt.sh	(revision 306)
@@ -8,4 +8,4 @@
 fi
 
-${FLAIR_ROOT}/flair-bin/tools/scripts/dualshock3.sh -a ${1}:20000 -x ${FLAIR_ROOT}/flair-bin/tools/scripts/dualshock3.xml
+${FLAIR_ROOT}/flair-install/bin/tools/core2-64/dualshock3.sh -a ${1}:20000 -x ${FLAIR_ROOT}/flair-install/bin/tools/core2-64/dualshock3.xml
 
Index: /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_local_bt.sh
===================================================================
--- /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_local_bt.sh	(revision 305)
+++ /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_local_bt.sh	(revision 306)
@@ -1,2 +1,2 @@
 #! /bin/bash
-${FLAIR_ROOT}/flair-bin/tools/scripts/dualshock3_bt.sh 127.0.0.1
+${FLAIR_ROOT}/flair-install/bin/tools/core2-64/dualshock3_bt.sh 127.0.0.1
Index: /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_local_usb.sh
===================================================================
--- /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_local_usb.sh	(revision 305)
+++ /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_local_usb.sh	(revision 306)
@@ -1,2 +1,2 @@
 #! /bin/bash
-${FLAIR_ROOT}/flair-bin/tools/scripts/dualshock3_usb.sh 127.0.0.1 $*
+${FLAIR_ROOT}/flair-install/bin/tools/core2-64/dualshock3_usb.sh 127.0.0.1 $*
Index: /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_usb.sh
===================================================================
--- /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_usb.sh	(revision 305)
+++ /trunk/tools/Controller/DualShock3/resources/core2-64/dualshock3_usb.sh	(revision 306)
@@ -14,4 +14,4 @@
 fi
 
-$FLAIR_ROOT/flair-bin/tools/scripts/dualshock3.sh -a ${1}:$PORT -c usb -t 100 -x ${FLAIR_ROOT}/flair-bin/tools/scripts/dualshock3.xml
+$FLAIR_ROOT/flair-install/bin/tools/core2-64/dualshock3.sh -a ${1}:$PORT -c usb -t 100 -x ${FLAIR_ROOT}/flair-install/bin/tools/core2-64/dualshock3.xml
 
Index: /trunk/tools/FlairGCS/resources/core2-64/launch_flairgcs.sh
===================================================================
--- /trunk/tools/FlairGCS/resources/core2-64/launch_flairgcs.sh	(revision 305)
+++ /trunk/tools/FlairGCS/resources/core2-64/launch_flairgcs.sh	(revision 306)
@@ -26,3 +26,3 @@
 
 export LD_LIBRARY_PATH="${OECORE_HOST_SYSROOT}/usr/lib:${OECORE_HOST_SYSROOT}/lib"
-${FLAIR_ROOT}/flair-bin/tools/${ARCH_DIR}/flairgcs -n $NAME -p $PORT
+$FLAIR_ROOT/flair-install/bin/tools/${ARCH_DIR}/flairgcs -n $NAME -p $PORT